Bug 1575993 - [osp13][undercloud-backup-restore][documentation] The Doc for Restore undercloud from backup, is missing a step for 'openstack container save undercloud-backups'. [NEEDINFO]
Summary: [osp13][undercloud-backup-restore][documentation] The Doc for Restore undercl...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 13.0 (Queens)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: RHOS Documentation Team
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 13:48 UTC by Omri Hochman
Modified: 2018-07-26 01:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-26 01:22:06 UTC
Target Upstream Version:
lbopf: needinfo? (ccamacho)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 566897 0 None None None 2018-05-08 13:56:48 UTC
OpenStack gerrit 570554 0 None None None 2018-05-29 08:57:15 UTC

Description Omri Hochman 2018-05-08 13:48:45 UTC
[osp13][undercloud-backup-restore][documentation] The Doc for Restore undercloud from backup, is missing a step for 'openstack container save undercloud-backups'.

Envrionemnt: 
------------
instack-undercloud-8.4.1-4.el7ost.noarch
instack-8.1.1-0.20180313084439.0d768a3.el7ost.noarch



Description:
-------------
Step (2) is missing from the documentation for backup/restore undercloud.  


Backup undercloud: 
-------------------
Step (1) 
(undercloud) [stack@undercloud75 ~]$ openstack undercloud backup --add-path /etc/hosts \
>                               --add-path /var/log/ \
>                               --add-path /var/lib/glance/images/ \
>                               --add-path /srv/node/ \
>                               --add-path /etc/

Started Mistral Workflow tripleo.undercloud_backup.v1.backup. Execution ID: 78716244-f8f4-49c5-b1e7-872bb3b4cb11
Waiting for messages on queue 'tripleo' with no timeout.
Undercloud Backup succeed
(undercloud) [stack@undercloud75 ~]$

Step (2) 
[stack@undercloud ~]$ source stackrc
(undercloud) [stack@undercloud ~]$ openstack undercloud backup
Started Mistral Workflow tripleo.undercloud_backup.v1.backup. Execution ID: a71ef536-fe86-4335-b40e-bfa57fdf92bc
Waiting for messages on queue 'tripleo' with no timeout.
Undercloud Backup succeed
(undercloud) [stack@undercloud ~]$ mkdir kk
(undercloud) [stack@undercloud ~]$ cd kk
(undercloud) [stack@undercloud kk]$ openstack container save undercloud-backups
(undercloud) [stack@undercloud kk]$ ls
UC-backup-20180501163744.tar
(undercloud) [stack@undercloud kk]$ ls -ltah
total 509M
-rw-rw-r--.  1 stack stack 509M May  1 16:38 UC-backup-20180501163744.tar
drwxrwxr-x.  2 stack stack   42 May  1 16:38 .
drwx------. 18 stack stack 4.0K May  1 16:38 ..

Comment 4 Carlos Camacho 2018-05-29 08:57:16 UTC
Fixed in docs (https://review.openstack.org/#/c/570554/) and verified with QE.

Comment 5 Lucy Bopf 2018-06-18 04:33:25 UTC
(In reply to Carlos Camacho from comment #4)
> Fixed in docs (https://review.openstack.org/#/c/570554/) and verified with
> QE.

Hi Carlos,

Is this a request to change something in the downstream documentation?

Comment 6 Lucy Bopf 2018-07-26 01:22:06 UTC
The downstream document was reviewed, verified, and amended as part of bug 1557794. It's not clear if further work is required here or the recommendations are for upstream only, so I am closing this BZ.

Please reopen if something needs to be changed in the downstream document - 

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/13/html-single/back_up_and_restore_the_director_undercloud/#backing_up_the_undercloud


Note You need to log in before you can comment on or make changes to this bug.